<div class="box" dir="rtl">
  <div class="title">
    <div>
      <p>
        تکمیل اطلاعات مربوط به استارتاپ
      </p>
      <p>
        <a (click)="goMainRegister()">
          <span>بازگشت</span>
          <fa-icon [icon]="faAngleLeft"></fa-icon>
        </a>
      </p>
    </div>
  </div>

  <div class="form">
    <form [formGroup]="startupDetailForm" (ngSubmit)="sendStartupDetail()">
      <!-- name activity -->
      <div class="name-activity">
        <!-- name -->
        <div class="name">
          <input
            id="startupName"
            name="startupName"
            formControlName="name"
            type="text"
            placeholder="نام استارتاپ را وارد نمایید"
            dir="rtl"
            required
            autocomplete="off"
          />
        </div>

        <!-- select -->
        <div class="select">
          <!-- activity -->
          <div class="activity">
            <input
              type="text"
              formControlName="activity"
              name="activities"
              class="select-input"
              placeholder="انتخاب زمینه فعالیت"
              autocomplete="off"
              (ngModelChange)="filterActivity()"
            />
            <ul class="dropdown" id="activities">
              <li
                *ngFor="let activity of filteredActivites"
                (click)="setActivityValue(activity)"
              >
                {{ activity.name }}
              </li>
            </ul>
          </div>
        </div>
      </div>

      <!-- year and telegram -->
      <div class="year-telegram">
        <!-- year -->
        <div>
          <input
            type="number"
            name="establishmentYear"
            id="establishmentYear"
            formControlName="establishmentYear"
            placeholder="سال تائسیس : 1390"
            dir="ltr"
            required
            autocomplete="off"
          />
        </div>
        <!-- telegram -->
        <div>
          <input
            type="text"
            name="telegram"
            id="telegram"
            formControlName="telegram"
            placeholder="آیدی تلگرام"
            dir="ltr"
            autocomplete="off"
          />
        </div>
      </div>

      <!-- address div -->
      <div class="address">
        <input
          type="text"
          name="address"
          id="address"
          formControlName="address"
          dir="rtl"
          placeholder="آدرس را وارد کنید"
          required
          autocomplete="off"
        />
      </div>

      <!-- about div -->
      <div class="about-startup">
        <input
          type="text"
          name="aboutStartUp"
          id="aboutStartUp"
          formControlName="aboutStartUp"
          dir="rtl"
          placeholder="توضیحاتی درباره استارتاپ"
          required
          autocomplete="off"
        />
      </div>

      <!-- slogan div -->
      <div class="slogan">
        <input
          type="text"
          name="slogan"
          id="slogan"
          formControlName="slogan"
          dir="rtl"
          placeholder="شعار استارتاپ"
          autocomplete="off"
        />
      </div>

      <div class="images">
        <div class="images-box">
          <div class="cover-img">
            <div class="img-title">
              <p>کاور :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('coverImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="coverPreviewUrl"
                *ngIf="coverPreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="coverImage"
              id="coverImage"
              (change)="coverFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
          <div class="profile-img">
            <div class="img-title">
              <p>پروفایل :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('profileImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="profilePreviewUrl"
                *ngIf="profilePreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="profileImage"
              id="profileImage"
              (change)="profileFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
        </div>
        <p
          class="image-error"
          *ngIf="coverImagePicked && !coverImageSizeIsValid"
        >
          - حجم عکس کاور باید از 5 مگابایت کمتر باشد.
        </p>
        <p
          class="image-error"
          *ngIf="profileImagePicked && !profileImageSizeIsValid"
        >
          - حجم عکس پروفایل باید از 5 مگابایت کمتر باشد.
        </p>
      </div>
      <!-- errors -->
      <div
        class="errors"
        *ngIf="startupDetailForm.invalid && startupDetailForm.touched"
      >
        <div
          *ngIf="
            startupDetailFormControls.name.invalid &&
            startupDetailFormControls.name.touched
          "
        >
          - نام استارتاپ را وارد کنید.
        </div>
        <div
          *ngIf="
            startupDetailFormControls.activity.touched &&
            startupDetailFormControls.activity.invalid
          "
        >
          - زمینه فعالیت استارتاپ را انتخاب کنید.
        </div>
        <div
          *ngIf="
            startupDetailFormControls.establishmentYear.touched &&
            startupDetailFormControls.establishmentYear.invalid
          "
        >
          - سال تائسیس استارتاپ را وارد کنید.
        </div>
        <div
          *ngIf="
            startupDetailFormControls.address.touched &&
            startupDetailFormControls.address.invalid
          "
        >
          - آدرس استارتاپ خود را وارد کنید.
        </div>
        <div
          *ngIf="
            startupDetailFormControls.aboutStartUp.touched &&
            startupDetailFormControls.aboutStartUp.invalid
          "
        >
          - توضیحاتی درباره استارتاپ خود وارد کنید.
        </div>
      </div>
      <div class="errors" *ngIf="connectionError">
        <div>- خطا در ارتباط با سرور.</div>
      </div>

      <div class="login-btn">
        <button
          type="submit"
          [disabled]="
            !startupDetailForm.valid || !profileImagePicked || !coverImagePicked
          "
        >
          <span>ارسال اطلاعات</span>
          <fa-icon [icon]="faLongArrowAltLeft"></fa-icon>
        </button>
      </div>
    </form>
  </div>
</div>
